package com.ruoyi.druid.mapper;

import java.util.List;
import com.ruoyi.druid.domain.DruidConfig;

/**
 * 多数据源配置Mapper接口
 *
 * @author ruoyi
 * @date 2024-07-14
 */
public interface DruidConfigMapper
{
    /**
     * 查询多数据源配置
     *
     * @param id 多数据源配置主键
     * @return 多数据源配置
     */
    public DruidConfig selectDruidConfigById(Long id);

    /**
     * 查询多数据源配置列表
     *
     * @param druidConfig 多数据源配置
     * @return 多数据源配置集合
     */
    public List<DruidConfig> selectDruidConfigList(DruidConfig druidConfig);

    /**
     * 新增多数据源配置
     *
     * @param druidConfig 多数据源配置
     * @return 结果
     */
    public int insertDruidConfig(DruidConfig druidConfig);

    /**
     * 修改多数据源配置
     *
     * @param druidConfig 多数据源配置
     * @return 结果
     */
    public int updateDruidConfig(DruidConfig druidConfig);

    /**
     * 删除多数据源配置
     *
     * @param id 多数据源配置主键
     * @return 结果
     */
    public int deleteDruidConfigById(Long id);

    /**
     * 批量删除多数据源配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDruidConfigByIds(Long[] ids);
}
